import React, { useEffect, useState } from 'react';
import { Button, Collapse, Popconfirm } from 'antd';
import ImageListUpload from '@/components/XForm/ImageListUpload';

const { Panel } = Collapse;

const ImageList = props => {
  const { data } = props;
  const [imageList, setImageList] = useState([]);

  function getImgUrl() {
    return (data.buildingImgList || []).map(item => item.url);
  }

  useEffect(() => {
    setImageList(getImgUrl());
  }, [data]);

  return <ImageListUpload value={imageList} onChange={e => console.log(e, 'onChange')} unlimited />;
};

export default props => {
  const { dataList = [] } = props;

  const Extra = item => (
    <>
      <Button type="link" size="small" onClick={props.onRename}>
        重命名
      </Button>
      {/* <Popconfirm title="Are you sure delete this task?" onConfirm={props.onDelete}> */}
      <Button
        type="link"
        size="small"
        style={{ color: 'red' }}
        onClick={e =>{ e.stopPropagation(),props.onDelete(item)} }
      >
        删除
      </Button>
      {/* </Popconfirm> */}
    </>
  );

  return (
    <Collapse defaultActiveKey={['0']} expandIconPosition="right" style={{ marginTop: '2em' }}>
      {dataList.map((row, index) => {
        return (
          <Panel header={row.apartmentName} key={index} extra={Extra(row)}>
            <ImageList data={row}></ImageList>
          </Panel>
        );
      })}
    </Collapse>
  );
};
